#include <fstream>
#include <iostream>
int b[1000000]={0},a[1000000];
using namespace std;
int main()
{
    ifstream fi("permu.inp");
    ofstream fo("permu.out");
    int n,d = 0;
    fi >> n;
    for (int i = 0; i < n; i++)
    {
        fi >> a[i];
        b[a[i]] = 1;
    }
    for (int i = 1; i <= n; i++)
    {
        if (b[i] != 1) d++;
    }
    fo << d;
    return 0;
}
